---
- name: Update logs output in instance service containers for loki
  hosts: tag_instance_production
  remote_user: ubuntu
  become: yes
  tasks:

    - name: Copy daemon.json to host
      copy:
        src: daemon.json
        dest: /etc/docker/daemon.json
        mode: '0755'

    - name: Install docker plugin
      command: docker plugin install grafana/loki-docker-driver:latest --alias loki --grant-all-permissions

    - name: Restart docker
      command: systemctl restart docker